#!/bin/bash
#Author: Zeynep G. Saribatur
#
#converts the atoms with parentheses () and comma (,) to underscore (_) 
#gets rid of the comments
#gives rule numbers to each rule in the remaining program

FILE=$1
FILE_NEW=$1_groundatoms
FILE_NEWNEW=$1_groundatoms_rulename

#sed 's/(/_/g' $FILE >$FILE_NEW
#sed -i 's/),/{}/g' $FILE_NEW
#sed -i 's/,/_/g' $FILE_NEW
#sed -i 's/{}/,/g' $FILE_NEW
#sed -i 's/)//g' $FILE_NEW

sed 's/(\([a-zA-Z0-9]*\),\([a-zA-Z0-9]*\))/_\1_\2/g' $FILE >$FILE_NEW
sed -i 's/(\([a-zA-Z0-9]*\))/_\1/g' $FILE_NEW
sed -i 's/(\([a-zA-Z0-9]*\),\([a-zA-Z0-9]*\),\([a-zA-Z0-9]*\))/_\1_\2_\3/g' $FILE_NEW
sed -i 's/(\([a-zA-Z0-9]*\),\([a-zA-Z0-9]*\),\([a-zA-Z0-9]*\),\([a-zA-Z0-9]*\))/_\1_\2_\3_\4/g' $FILE_NEW
sed -i 's/(\([a-zA-Z0-9]*\),\([a-zA-Z0-9]*\),\([a-zA-Z0-9]*\),\([a-zA-Z0-9]*\),\([a-zA-Z0-9]*\))/_\1_\2_\3_\4_\5/g' $FILE_NEW
sed -i '/:-\|{/!d' $FILE_NEW
sed -i '/%/d' $FILE_NEW

awk '{print "r"NR  ": " $s}' $FILE_NEW > $FILE_NEWNEW
